# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  boxes = [
    { :name => "devcoop-demo", :box => "ubuntu/jammy64" },
  ]
  boxes.each do |opts|
    config.vm.provider "virtualbox" do |vb|
      #vb.gui = true
      vb.memory = "2048"
      vb.cpus = 2
      vb.customize ["modifyvm", :id, "--vram", "128"]
    end
    config.vm.network :forwarded_port, guest: 22, host: 2233, id: 'ssh'
    config.vm.define opts[:name] do |config|
      config.vm.box = opts[:box]
      if opts[:name] == boxes.last[:name]
        config.vm.provision "shell", inline: <<-SHELL
        apt-get update
        apt-get install -y virtualbox-guest-utils
        # apt-get install -y virtualbox-guest-dkms # not in jammy
        # apt-get install -y ubuntu-desktop virtualbox-guest-x11
        SHELL

        config.vm.provision "ansible", type: "ansible", run: "always" do |ansible|
          ansible.compatibility_mode = "2.0"
          ansible.playbook = "main.yml"
          ansible.groups = {
            "vagrant" => [opts[:name]],
            "diana_servers" => [opts[:name]]
          }
        end
      end
    end
  end
end
